MUGE(4)

NAME
muge - Microchip LAN78xx USB Gigabit Ethernet driver

SYNOPSIS
To load the driver as a module at boot time, place the following line in loader.conf(5):

    if_muge_load="YES"

DESCRIPTION
The muge device driver provides support for USB Gigabit Ethernet adapters based on Microchip's LAN78xx and LAN7515 chipsets.

For more information on configuring this device, see ifconfig(8).

HARDWARE
The muge driver supports Microchip USB Gigabit Ethernet interfaces, including:

•   Microchip LAN7800 USB 3.1 Gigabit Ethernet controller with PHY
•   Microchip LAN7850 USB 2.0 Gigabit Ethernet controller with PHY
•   Microchip LAN7515 USB 2 hub and Gigabit Ethernet controller with PHY

SEE ALSO
arp(4), miibus(4), usb(4), ifconfig(8)

HISTORY
The muge device driver first appeared in FreeBSD 12.0.